Package org.apache.storm.daemon.ui.filters

## Class AuthorizedUserFilter

- java.lang.Object
- - org.apache.storm.daemon.ui.filters.AuthorizedUserFilter

- All Implemented Interfaces:
    `jakarta.ws.rs.container.ContainerRequestFilter`

      @Provider
      public class AuthorizedUserFilter
      extends Object
      implements jakarta.ws.rs.container.ContainerRequestFilter

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<String,​Object>` | `conf` |
    `static org.slf4j.Logger` | `LOG` |
    `static IAuthorizer` | `uiAclHandler` |
    `static IAuthorizer` | `uiImpersonationHandler` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthorizedUserFilter()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `filter​(jakarta.ws.rs.container.ContainerRequestContext containerRequestContext)` |
    `static jakarta.ws.rs.core.Response` | `makeResponse​(Exception ex, jakarta.ws.rs.container.ContainerRequestContext request, int statusCode)` | makeResponse.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          public static final org.slf4j.Logger LOG

    - #### conf

          public static Map<String,​Object> conf

    - #### uiImpersonationHandler

          public static IAuthorizer uiImpersonationHandler

    - #### uiAclHandler

          public static IAuthorizer uiAclHandler

  - ### Constructor Detail

    - #### AuthorizedUserFilter

          public AuthorizedUserFilter()

  - ### Method Detail

    - #### makeResponse

          public static jakarta.ws.rs.core.Response makeResponse​(Exception ex,
                                                                 jakarta.ws.rs.container.ContainerRequestContext request,
                                                                 int statusCode)

      makeResponse.
      Parameters:
        `ex` - ex
        `request` - request
        `statusCode` - statusCode
      Returns:
        error response

    - #### filter

          public void filter​(jakarta.ws.rs.container.ContainerRequestContext containerRequestContext)

      Specified by:
        `filter` in interface `jakarta.ws.rs.container.ContainerRequestFilter`